"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const event_manager_1 = __importDefault(require("./event-manager"));
class StatsManager extends event_manager_1.default {
    enabled = true;
    hits = 0;
    misses = 0;
    sets = 0;
    deletes = 0;
    errors = 0;
    constructor(enabled) {
        super();
        if (enabled !== undefined) {
            this.enabled = enabled;
        }
        this.reset();
    }
    hit() {
        if (this.enabled) {
            this.hits++;
        }
    }
    miss() {
        if (this.enabled) {
            this.misses++;
        }
    }
    set() {
        if (this.enabled) {
            this.sets++;
        }
    }
    delete() {
        if (this.enabled) {
            this.deletes++;
        }
    }
    reset() {
        this.hits = 0;
        this.misses = 0;
        this.sets = 0;
        this.deletes = 0;
        this.errors = 0;
    }
}
exports.default = StatsManager;
module.exports = StatsManager;
//# sourceMappingURL=stats-manager.js.map