import EventManager from './event-manager';
class StatsManager extends EventManager {
    enabled = true;
    hits = 0;
    misses = 0;
    sets = 0;
    deletes = 0;
    errors = 0;
    constructor(enabled) {
        super();
        if (enabled !== undefined) {
            this.enabled = enabled;
        }
        this.reset();
    }
    hit() {
        if (this.enabled) {
            this.hits++;
        }
    }
    miss() {
        if (this.enabled) {
            this.misses++;
        }
    }
    set() {
        if (this.enabled) {
            this.sets++;
        }
    }
    delete() {
        if (this.enabled) {
            this.deletes++;
        }
    }
    reset() {
        this.hits = 0;
        this.misses = 0;
        this.sets = 0;
        this.deletes = 0;
        this.errors = 0;
    }
}
export default StatsManager;
module.exports = StatsManager;
//# sourceMappingURL=stats-manager.js.map